# 智能文件柜使用手册

## 快速上手

### 1. 安装依赖

```js
pnpm i
```

### 2. 生成页面模板

```js
pnpm run page
```

### 3. 生成组件模板

```js
pnpm run comp
```

### 4. 开发环境

```js
pnpm run start
```

### 5. 打包

```js
// UMI_ENV= dev、test、prod
pnpm run build:{{UMI_ENV}}
```

## 目录结构

. ├── publlic // 公共静态文件 ├── package.json  
├── pnpm-lock.yaml ├── src │ ├── assets │ │ └── logo.jpg │ ├── constants // 公共静态变量 │ ├── layouts // 布局 │ │ ├── BaseLayout │ │ ├── LoadingLayout │ │ ├── AuthLayout │ │ ├── ... │ ├── services // 接口服务 │ ├── pages │ │ ├── Home.tsx │ │ └── index.tsx │ └── wrapper // │ └── utils // 工具页面 │ │ └── index.tsx // 工具页入口 │ └── 404.tsx // 报错页 │ └── app.ts // 入口页面 │ └── access.ts // 权限校验页面 │ └── global.less // 全局样式 ├── tsconfig.json └── typings.d.ts
