interface RouteProps {
  icon: string;
  // https://beta-pro.ant.design/docs/advanced-menu
  // ---
  // 新页面打开
  target: '_blank';
  // 不展示顶栏
  headerRender: boolean;
  // 不展示页脚
  footerRender: boolean;
  // 不展示菜单
  menuRender: boolean;
  // 不展示菜单顶栏
  menuHeaderRender: boolean;
  // 权限配置，需要与 plugin-access 插件配合使用
  access: 'canRead';
  // 隐藏子菜单
  hideChildrenInMenu: boolean;
  // 隐藏自己和子菜单
  hideInMenu: boolean;
  // 在面包屑中隐藏
  hideInBreadcrumb: boolean;
  // 子项往上提，仍旧展示,
  flatMenu: boolean;
  /**
   * @name false 时不展示顶栏
   */
  headerRender?: boolean;
  /**
   * @name false 时不展示页脚
   */
  footerRender?: boolean;
  /**
   * @name false 时不展示菜单
   */
  menuRender?: boolean;
  /**
   * @name false 时不展示菜单顶栏
   */
  menuHeaderRender?: boolean;

  /**
   * @name 固定顶栏
   **/
  fixedHeader: boolean;

  /**
   * @name 固定菜单
   */
  fixSiderbar: boolean;

  /**
   * @name theme for nav menu
   * @name 导航菜单的主题
   */
  navTheme: 'dark' | 'light' | 'realDark' | undefined;
  /**
   * @name nav menu position: `side` or `top`
   * @name 导航菜单的位置
   * @description side 为正常模式，top菜单显示在顶部，mix 两种兼有
   */
  layout: 'side' | 'top' | 'mix';
  /**
   * @name 顶部导航的主题，mix 模式生效
   */
  headerTheme: 'dark' | 'light';
}
