import { Button, Col, InputNumber, Row, Space, VideoPlayer } from '@zhst/meta';
import React, { FC, useState } from 'react';

interface VideoPlayerProps {
  url?: string; // 视频链接
}

const Player: FC<VideoPlayerProps> = () => {
  const [urls, setUrls] = useState<string[]>([]);
  const [num, setNum] = useState(2);

  const handlePlay = () => {
    let arr = [];
    for (let i = 0; i < num; i++) {
      arr.push(
        `ws://10.0.0.7:9033/flv/File/test/test_h264_${Math.floor(Math.random() * 6) + 1}.mp4.flv?ip=127.0.0.1`,
      );
    }
    setUrls(arr);
  };

  return (
    <div>
      <Space>
        <InputNumber value={num} onChange={(_num: number) => setNum(_num)} />
        <Button onClick={() => handlePlay()}>播放</Button>
        <Button onClick={() => setUrls([])}>停止</Button>
      </Space>
      <Row gutter={[16, 16]}>
        {urls.map((url) => (
          <Col key={url} span={8}>
            <VideoPlayer url={url} />
          </Col>
        ))}
      </Row>
    </div>
  );
};

export default Player;
